Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[PALUDIS] Support thread (current v. 0.22.2) - Part 2
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 16, 17, 18, 19, 20  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
ashtophet
Guru
Guru


Joined: 08 Aug 2004
Posts: 396
Location: Galiza

PostPosted: Sun Apr 01, 2007 5:56 pm    Post subject: Reply with quote

Sorry read too quickly :P

It's in /var/db/pkg

category/packagename-version

The package to delete and reinstall is the one which causes error message.

cheers
_________________
O coração, se pudesse pensar, pararia. Fernando Pessoa
If heart could think, it would stop
Back to top
View user's profile Send private message
nikaya
Veteran
Veteran


Joined: 13 May 2006
Posts: 1471
Location: Germany

PostPosted: Sun Apr 01, 2007 6:05 pm    Post subject: Reply with quote

AM088 wrote:

However, I do not know how to clean the VDB entry :( Where's the VDB and what entry do I clean?

VDB = /var/db/pkg directory.It is like the portage tree but only for installed packages.Paludis/Portage are looking into it for information about installed packages.Browse through it and you will know more. :wink:
Deleting the VDB entry and immediately reinstalling it will create a new (correct) entry.
_________________
Notes on Dhamma
How to waste your time: look for an explanation of consciousness, ask to know what feeling is. (Nanavira Thera)
Back to top
View user's profile Send private message
Etal
Veteran
Veteran


Joined: 15 Jul 2005
Posts: 1657

PostPosted: Sun Apr 01, 2007 7:50 pm    Post subject: Reply with quote

Thanks!!!

So far, I got rid of the kde-env problem (by deleting librss from VDB and reinstalling) and virtuals/x11 (by deleting the entry), but I can't reinstall virtuals/x11 because it turns out it's masked... Would that cause a problem? AFAIK, virtuals don't really install anything and if the only version is masked, I probably do not need it. Am I right?
_________________
“And even in authoritarian countries, information networks are helping people discover new facts and making governments more accountable.”– Hillary Clinton, Jan. 21, 2010
Back to top
View user's profile Send private message
Joseph_sys
Advocate
Advocate


Joined: 08 Jun 2004
Posts: 2506
Location: Edmonton, AB

PostPosted: Sun Apr 01, 2007 9:25 pm    Post subject: Reply with quote

I was trying to emerge paludis but I got an error:
Code:
emerge -pv paludis

These are the packages that would be merged, in order:

Calculating dependencies \
!!! All ebuilds that could satisfy "virtual/c++-tr1-memory" have been masked.
!!! One of the following masked packages is required to complete your request:
- virtual/c++-tr1-memory-0 (masked by: ~x86 keyword)

There are no such ebuild not it is explained in documentation on the official web-page where to find it or what is it?
_________________
#Thelma
Back to top
View user's profile Send private message
BitJam
Advocate
Advocate


Joined: 12 Aug 2003
Posts: 2471
Location: Silver City, NM

PostPosted: Sun Apr 01, 2007 9:48 pm    Post subject: Emerging paludis broke some zsh completion Reply with quote

Emerging paludis (version 0.22.1) with the zsh-completion USE flag seems to have broken some of my zsh completion.

in zsh, if I try to use tab completion for vim I get the following error message:
Code:
vim /etc/pal<tab>
_arguments:340: _vim_files: function definition file not found


I found the file where this error occurs, /usr/share/zsh/4.3.2/functions/Completion/Base/_arguments, and here is where it happens:
Code:
              else

                # Otherwise we call it with the description-arguments.

            eval "action=( $action )"
                while _next_label "$subc" expl "$descr"; do
                  "$action[1]" "$subopts[@]" "$expl[@]" "${(@)action[2,-1]}" && ret=0  # <== HERE
            done

The function _vim_files appears to be defined in this file: /usr/share/zsh/4.3.2/functions/Completion/Unix/_vim

My guess is that the order in which files get evaluated has changed or something so the the routine in the _arguments file is now running before the _vim file gets evaluated. I'm totally out of my depth here, perhaps a wizard could help me.

I'm totally addicted to tab completion so I've dropped back to Bash for now.
Back to top
View user's profile Send private message
creidiki
Apprentice
Apprentice


Joined: 23 Mar 2007
Posts: 283
Location: Varese (Italy)

PostPosted: Sun Apr 01, 2007 9:50 pm    Post subject: Reply with quote

they're paludis virtuals, just add

Code:
virtual/c++-tr1-functional                      ~x86
virtual/c++-tr1-memory                        ~x86
virtual/c++-tr1-type-traits                     ~x86


to your package.keywords

you migth need to add the paludis-overlay overlay with layman 1st for it to work, not sure.
Back to top
View user's profile Send private message
ashtophet
Guru
Guru


Joined: 08 Aug 2004
Posts: 396
Location: Galiza

PostPosted: Sun Apr 01, 2007 10:02 pm    Post subject: Reply with quote

AM088 wrote:
Thanks!!!

So far, I got rid of the kde-env problem (by deleting librss from VDB and reinstalling) and virtuals/x11 (by deleting the entry), but I can't reinstall virtuals/x11 because it turns out it's masked... Would that cause a problem? AFAIK, virtuals don't really install anything and if the only version is masked, I probably do not need it. Am I right?


Yes, you're right... This virtual/x11 is going to be deleted ;)

https://bugs.gentoo.org/show_bug.cgi?id=168328 and less your /usr/portage/profiles/package.mask
_________________
O coração, se pudesse pensar, pararia. Fernando Pessoa
If heart could think, it would stop
Back to top
View user's profile Send private message
BitJam
Advocate
Advocate


Joined: 12 Aug 2003
Posts: 2471
Location: Silver City, NM

PostPosted: Mon Apr 02, 2007 3:28 am    Post subject: Reply with quote

I'm having problems using ccache with Paludis. I've just installed Paludis-0.22.1. I've been using ccache for a while with portage with no problems. Now when I try to use it with paludis, I get errors like:
Code:
make[2]: Entering directory `/var/tmp/paludis/sys-devel/bc-1.06-r6/work/bc-1.06/lib'
/usr/lib/ccache/bin/gcc -DHAVE_CONFIG_H  -I. -I.. -I./../h    -march=athlon64 -O2 -pipe -Wall -funsigned-char -c getopt.c
/usr/lib/ccache/bin/gcc -DHAVE_CONFIG_H  -I. -I.. -I./../h    -march=athlon64 -O2 -pipe -Wall -funsigned-char -c getopt1.c
ACCESS DENIED  unlink:    /data/ccache/getopt.tmp.chi.2949.i
ACCESS DENIED  unlink:    /data/ccache/getopt1.tmp.chi.2950.i
ACCESS DENIED  open_wr:   /data/ccache/getopt1.tmp.chi.2950.i
ACCESS DENIED  open_wr:   /data/ccache/getopt.tmp.chi.2949.i


My /etc/paludis/bashrc file contains:
Code:
export PATH="/usr/lib/ccache/bin/:$PATH"
export CCACHE_DIR="/data/ccache"
export CC="/usr/lib/ccache/bin/gcc"
export CXX="/usr/lib/ccache/bin/g++"

I tried it first without those last two lines and got exactly the same result. The /data/ccache directory belongs to root:portage and I am running paludis as root. For now, I've just commented out all the ccache lines in the Paludis bashrc in order to get it to work.
Back to top
View user's profile Send private message
Hypnos
Advocate
Advocate


Joined: 18 Jul 2002
Posts: 2887
Location: Omnipresent

PostPosted: Mon Apr 02, 2007 5:14 am    Post subject: Reply with quote

Do a "chown -R paludisbuild:paludisbuild" on your ccache dir.

Moreover, if you have ccache first in your PATH, you shouldn't require the CC and CXX env vars.
_________________
Personal overlay | Simple backup scheme
Back to top
View user's profile Send private message
BitJam
Advocate
Advocate


Joined: 12 Aug 2003
Posts: 2471
Location: Silver City, NM

PostPosted: Mon Apr 02, 2007 5:37 am    Post subject: Reply with quote

Hypnos wrote:
Do a "chown -R paludisbuild:paludisbuild" on your ccache dir.

I did as you said and checked the ownership but I still get the exact same ACCESS DENIED errors.
Back to top
View user's profile Send private message
dr.bombay
n00b
n00b


Joined: 05 May 2005
Posts: 39
Location: Los Angeles

PostPosted: Mon Apr 02, 2007 6:34 am    Post subject: paludis bootstrap install Reply with quote

hello all, I am trying to do a bootstrap install, I'm am using this guide http://paludis.pioto.org/trac/browser/trunk/doc/HOWTO.rst?rev=655, but I keep getting this error,http://pastebin.ca/420523, here is a copy of /mychroot/etc/paludis/repositories/gentoo.conf,(http://rafb.net/p/7rUGoG63.html)
and this is the file referred to in the error, /mychroot/etc/paludis/repositories/paludis-overlay.conf ( http://rafb.net/p/UjLHqo47.html )
I would like to say thank you know for any and all help and or advice, also if there is a more current guide please point me to it, and yes I am a nOOb, and a bOOb, but please help me anyway. :lol: :) :)
_________________
I just escaped from microsoft please help I dont want to ever go back
Back to top
View user's profile Send private message
Hypnos
Advocate
Advocate


Joined: 18 Jul 2002
Posts: 2887
Location: Omnipresent

PostPosted: Mon Apr 02, 2007 6:40 am    Post subject: Reply with quote

BitJam wrote:
Hypnos wrote:
Do a "chown -R paludisbuild:paludisbuild" on your ccache dir.

I did as you said and checked the ownership but I still get the exact same ACCESS DENIED errors.

Hmmm ... well, my problem was that ccache wasn't working for Paludis builds -- chowning it fixed that, and my cache hits went up.

It seems like the problem in your case is that paludisbuild is trying to manipulate the cache from within the sandbox. Did you make sure to remove CC and CXX from your bashrc? Does it happen with all packages?
_________________
Personal overlay | Simple backup scheme
Back to top
View user's profile Send private message
BitJam
Advocate
Advocate


Joined: 12 Aug 2003
Posts: 2471
Location: Silver City, NM

PostPosted: Mon Apr 02, 2007 7:23 am    Post subject: Reply with quote

I found and fixed my ccache problem. In my bashrc I had:
Code:
export CCACHE_DIR="/data/ccache"

which is where it was when I was using emerge.

I simply changed that line to:
Code:
export CCACHE_DIR="/var/tmp/ccache"

and it started to work!

I tried symlinking /var/tmp/ccache to my old location but I got the access denied errors again.

I really don't understand why Paludis insists that the ccache be under the /var/tmp directory. It seems insane to me. My understanding was that it should be perfectly safe to delete everything under both /tmp and /var/tmp at boot time. If people did this then it would render the ccache almost completely useless. Also, I want to control which partition my ccache is on. That way I can share it and I can make it real big without robbing space from my root partition. Grrr.

Thanks for you help Hypnos. It was your comment about the sandbox that steered me in the right direction.
Back to top
View user's profile Send private message
Hypnos
Advocate
Advocate


Joined: 18 Jul 2002
Posts: 2887
Location: Omnipresent

PostPosted: Mon Apr 02, 2007 7:39 am    Post subject: Reply with quote

/var/tmp is world writeable and has the sticky bit set, which might be a factor. It would interesting to try your old setup with the same permissions on "data". (Paludis does a lot of safety checks, and yours might have tripped one -- another thing to try might be increasing your log-level to see if Paludis says anything interesting along these lines.)
_________________
Personal overlay | Simple backup scheme
Back to top
View user's profile Send private message
Pajarico
Guru
Guru


Joined: 01 May 2004
Posts: 493
Location: Madrid, España.

PostPosted: Mon Apr 02, 2007 10:05 am    Post subject: Reply with quote

I'm on the same boat as BitJam. If I change the ccache dir from:
Code:
export CCACHE_DIR="/var/tmp/ccache"

to:
Code:
export CCACHE_DIR="/root/.ccache"

It will stop working:
Code:
checking for x86_64-pc-linux-gnu-gcc... /usr/lib/ccache/bin/gcc
checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.

!!! ERROR in net-libs/enet-1.0:
!!! In econf at line 850
!!! econf failed

!!! Call stack:
!!!    * econf (/var/tmp/paludis/net-libs/enet-1.0/temp/loadsaveenv:850)
!!!    * src_compile (/usr/libexec/paludis/src_compile.bash:25)
!!!    * ebuild_f_compile (/usr/libexec/paludis/src_compile.bash:51)
!!!    * ebuild_main (/usr/libexec/paludis/ebuild.bash:346)
!!!    * main (/usr/libexec/paludis/ebuild.bash:364)

die trap: exiting with error.

Install error:
  * In program /usr/bin/paludis enet -i:
  * When performing install action from command line:
  * When executing install task:
  * When installing 'net-libs/enet-1.0':
  * Install error: Install failed for 'net-libs/enet-1.0::gentoo'


I did the chown thingy on /root/.ccache as suggested by Hypnos. On the other hand /var/tmp/paludis is owned by root and it works.

I know that ccache is working because there are files in /var/tmp/ccache, but as BitJam I want to have control over where the dir is placed. Also ccache -s won't show statistics if I don't use /root/.ccache (is there a way to configurate where ccache looks for statistical data?). Can you check statistics, BitJam?
_________________
Gentoo: the only software worth paying that is free.
Back to top
View user's profile Send private message
krisse
Guru
Guru


Joined: 15 Mar 2005
Posts: 324
Location: Sweden

PostPosted: Mon Apr 02, 2007 4:11 pm    Post subject: Reply with quote

creidiki wrote:
Code:
virtual/c++-tr1-functional                      ~x86
virtual/c++-tr1-memory                        ~x86
virtual/c++-tr1-type-traits                     ~x86


[...]

you migth need to add the paludis-overlay overlay with layman 1st for it to work, not sure.


No, you don't. Works fine without.
Back to top
View user's profile Send private message
spb
Retired Dev
Retired Dev


Joined: 02 Jan 2004
Posts: 2135
Location: Cambridge, UK

PostPosted: Mon Apr 02, 2007 4:30 pm    Post subject: Reply with quote

Pajarico wrote:
I did the chown thingy on /root/.ccache as suggested by Hypnos. On the other hand /var/tmp/paludis is owned by root and it works.
You need to add ${CCACHE_DIR} to SANDBOX_WRITE.
Back to top
View user's profile Send private message
BitJam
Advocate
Advocate


Joined: 12 Aug 2003
Posts: 2471
Location: Silver City, NM

PostPosted: Mon Apr 02, 2007 4:33 pm    Post subject: Reply with quote

Pajarico wrote:
... Also ccache -s won't show statistics if I don't use /root/.ccache (is there a way to configurate where ccache looks for statistical data?). Can you check statistics, BitJam?

The /root/.ccache directory is just a default. The following works for me:
Code:
$ CCACHE_DIR="/var/tmp/ccache" ccache -s
Back to top
View user's profile Send private message
BitJam
Advocate
Advocate


Joined: 12 Aug 2003
Posts: 2471
Location: Silver City, NM

PostPosted: Mon Apr 02, 2007 4:43 pm    Post subject: Reply with quote

Thanks spb! Adding the following line to the bottom /etc/paludis/bashrc fixed my ccache problem:
Code:
export SANDBOX_WRITE="${SANDBOX_WRITE}:${CCACHE_DIR}"
Back to top
View user's profile Send private message
creidiki
Apprentice
Apprentice


Joined: 23 Mar 2007
Posts: 283
Location: Varese (Italy)

PostPosted: Mon Apr 02, 2007 4:46 pm    Post subject: Reply with quote

I set CCACHE_DIR="/var/tmp/ccache" in /etc/env.d/06ccache
Back to top
View user's profile Send private message
givemesugarr
n00b
n00b


Joined: 11 Mar 2007
Posts: 5

PostPosted: Fri Apr 06, 2007 7:01 pm    Post subject: Reply with quote

i have a great problem with paludis:
everytime i issue a command for paludis, wichever it is except the sync, i only get an error:
Quote:
Query error:
* In program paludis -ip --dl-reinstall if-use-changed world:
* When performing install action from command line:
* When executing install task:
* When adding PackageDepSpec 'x11-base/opengl-update':
* No versions of 'x11-base/opengl-update' are available


i verified the presence of this package in portage, and it doesn't figure out, nor as masked, had-masked or stable.... and i don't know where to get it..... i search around in the forum and didn't find any useful reply.... so i'm asking here for some help....
Back to top
View user's profile Send private message
tecknojunky
Veteran
Veteran


Joined: 19 Oct 2002
Posts: 1937
Location: Montréal

PostPosted: Sat Apr 07, 2007 1:57 pm    Post subject: Reply with quote

Can someone explain this to me?
Quote:
Uninstall options:
--with-unused-dependencies
Also uninstall any dependencies of the target that are no longer used
--with-dependencies Also uninstall packages that depend upon the target

Code:
# paludis -up --with-unused-dependencies vmware-server
Building unmerge list... done

These packages will be uninstalled:

* app-emulation/vmware-server-1.0.2.39867::installed


Total: 1 package

Code:
# paludis -up --with-dependencies xinetd
Building unmerge list... done

These packages will be uninstalled:

* app-emulation/vmware-server-1.0.2.39867::installed
* sys-apps/xinetd-2.3.14::installed


Total: 2 packages

Am I understanding wrong or is paludis broken?

I know vmware-modules is also a dependency of vmware-server, but that's all. Am I going to be stall with unused packages?
_________________
(7 of 9) Installing star-trek/species-8.4.7.2::talax.
Back to top
View user's profile Send private message
Phenax
l33t
l33t


Joined: 10 Mar 2006
Posts: 972

PostPosted: Sat Apr 07, 2007 2:09 pm    Post subject: Reply with quote

Maybe because it is the latest version available to you?
Back to top
View user's profile Send private message
tecknojunky
Veteran
Veteran


Joined: 19 Oct 2002
Posts: 1937
Location: Montréal

PostPosted: Sat Apr 07, 2007 2:49 pm    Post subject: Reply with quote

I'm asking paludis to unstall vmware-server and all dependencies that would otherwise be unused anymore, and it return nothing. Yet, knowing xinetd is a dependency of vmware-server, I did the oposite and ask paludis to remove xinetd and all packages that depends on it, it yields ONLY vmware-server, meaning that only vmware-server depends on it (which I knew) and so the --with-unused-dependencies does not seem to work properly (for not saying at all).
_________________
(7 of 9) Installing star-trek/species-8.4.7.2::talax.
Back to top
View user's profile Send private message
nikaya
Veteran
Veteran


Joined: 13 May 2006
Posts: 1471
Location: Germany

PostPosted: Sat Apr 07, 2007 5:22 pm    Post subject: Reply with quote

Hmm,I just tested the check_linkage.rb script:
Code:
ruby /usr/share/paludis/ruby/demos/check_linkage.rb

It is an replacement for revdep-rebuild.It uses Paludis for checking.revdep-rebuild told me:
Code:
Dynamic linking on your system is consistent... All done.

check_linkage.rb found 5 packages to reinstall:sun-jdk,blackdown-jdk,openoffice-bin,firefox-bin and thunderbird-bin.
Annother demonstration of the power of Paludis.
_________________
Notes on Dhamma
How to waste your time: look for an explanation of consciousness, ask to know what feeling is. (Nanavira Thera)
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 16, 17, 18, 19, 20  Next
Page 17 of 20

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum